; PlatformIO Project Configuration File
;
;   Build options: build flags, source filter
;   Upload options: custom upload port, speed and extra flags
;   Library options: dependencies, extra library storages
;   Advanced options: extra scripting
;
; Please visit documentation for the other options and examples
; https://docs.platformio.org/page/projectconf.html

[env:teensy31]
platform = teensy
board = teensy31
framework = arduino

upload_protocol = teensy-cli

monitor_speed = 115200

build_flags = 
    -D USB_SERIAL_HID


lib_deps =
    https://github.com/maniacbug/RF24
    adafruit/Adafruit SSD1306@^2.5.3
    adafruit/Adafruit BusIO@^1.11.3
    https://github.com/adafruit/Adafruit-GFX-Library